<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Банк'; // заголовок страницы
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
err();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<dl class='mai2n'><center><img src='bank.gif' /></center><link rel='stylesheet' href='style.css' type='text/css' />";

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){

$action=htmlspecialchars(trim($_GET['action']));


switch ($action){

default:
echo '<center>Привет, '.$user['nick'].'!<br/>';
echo 'На сайте <b>'.$user['balls'].'</b> баллов!<br/>';
echo 'В игре: <b>'.$user['gorod_money'].' зелени</b><br/>';
echo 'Курс 1 балл = 50 зеленым<br/>';
echo '<form action="bank.php?action=change" method="post">';
echo 'Сколько баллов поменять:<br/>';
echo '<input name="num" type="text" value=""/>';
echo '<input type="submit" value="Обмен"/>';
echo '</form>';
break;


case 'change':
$num=(int)$_POST['num'];
if(!$num || $num<1){echo 'Ошибка, введите сумму!';break;};
if($user['balls']<$num){echo 'У вас нет столько баллов!';break;};
$baks=$num*50;
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`+'$baks',`balls`=`balls`-'$num' WHERE `id`='".$user['id']."'");
echo 'Обмен баллов на зелень успешно завершен! <a href="bank.php">В банк</a><br/>';
break;


};
echo '<br/><div class="msg"><a href="index.php">В игру</a></div></div></center>';
}else{echo '<div class="msg">Город закрыт администратором!</div>';};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>